[jdom-interest] Request -- please allow all XML 1.1conformant text in Element.se tText()

Alex Rosen arosen at novell.com
Mon Mar 8 08:08:54 PST 2004

My point is that if I'm using JDOM in my product, and I have thousands
of customers, and one of them needs XML 1.1, or they think they need XML
1.1, or they might receive a file from someone that is XML 1.1 even if
it doesn't need to be, then I need JDOM to be 1.1 compliant. JDOM is at
the top of the food chain (or the bottom depending on how you look at
it) so it needs to be more flexible than most things. If a supplier of a
customer of a user of JDOM uses XML 1.1, then JDOM needs to support it.


>>> Elliotte Rusty Harold <elharo at metalab.unc.edu> 3/8/2004 10:47:53 AM
At 8:17 AM -0700 3/8/04, Alex Rosen wrote:

>Some will need it because their customers may need it. (Or *their*
>customers may need it.) Or need to interoperate with it.

I'm not from Missouri, but show me. So far I've only heard from one 
developer who might have a real use for XML 1.1 (and then again he 
might not). I've yet to encounter a second person who needs it. But 
mostly it's just people who want to keep up with the Jones' without 
considering whether the Jones need to be there either.

   Elliotte Rusty Harold
   elharo at metalab.unc.edu 
   Effective XML (Addison-Wesley, 2003)

More information about the jdom-interest mailing list